Subject: Re: [kernel.org users] [RFD] On deprecating "git-foo" for builtins

From: Al Viro <[email-masked]>
Date: Tue, 26 Aug 2008 19:22:55 +0000

On Tue, Aug 26, 2008 at 12:04:51PM -0700, Linus Torvalds wrote:
> 
> 
> On Tue, 26 Aug 2008, Al Viro wrote:
> > 
> > Well, to be fair, "man git-add for git add is rather unconventional" is
> > a valid point...
> 
> On the other hand:
> 
>  - "man" simply cannot currently handle "man git add", even though there's 
>    been some noise to teach it.
> 
>  - you can use "git help add" instead, since git itself does understand 
>    this. It will just go "man git-add" for you, so that your fingers don't 
>    have to type that dash ;)

Yeah...  Actually, it all boils down to YAsrbBogosity.  Namely, rather
dumb conventions for $PATH; it would be much saner if the things worked
as for $CDPATH.  That is,
/<whatever> -> use that as-is
./<whatever> -> use that as-is
../<whatever> -> use that as-is
<anything else> -> try to use <path element>/<anything else> for each
path element.

The difference, of course, is that things like git/subcommand would end up
as /usr/bin/git/subcommand, nicely gathering related stuff together in
obvious place and keeping the size of /usr/bin down.  Without the holy
wars about irregular syntax, etc., etc.

Not that it had been the worst offense against the sanity and taste that
went into sh(1)...